diff -rupN arpack++1.2.orig/examples/matrices/complex/lcompsol.h arpack++1.2.patched/examples/matrices/complex/lcompsol.h
--- arpack++1.2.orig/examples/matrices/complex/lcompsol.h	2000-02-22 12:49:50.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/complex/lcompsol.h	2006-01-26 15:37:48.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef LCOMPSOL_H
 #define LCOMPSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "arcomp.h"
 #include "blas1c.h"
 #include "lapackc.h"
@@ -40,7 +40,7 @@ template<class ARMATRIX, class ARFLOAT>
 void Solution(ARMATRIX &A, ARluCompStdEig<ARFLOAT> &Prob)
 /*
   Prints eigenvalues and eigenvectors of complex eigen-problems
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -53,32 +53,32 @@ void Solution(ARMATRIX &A, ARluCompStdEi
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARluCompStdEig \n";
-  cout << "Complex eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARluCompStdEig \n";
+  std::cout << "Complex eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -97,10 +97,10 @@ void Solution(ARMATRIX &A, ARluCompStdEi
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] ResNorm;
@@ -114,7 +114,7 @@ template<class MATRA, class MATRB, class
 void Solution(MATRA &A, MATRB &B, ARluCompGenEig<ARFLOAT> &Prob)
 /*
   Prints eigenvalues and eigenvectors of complex generalized
-  eigen-problems on standard "cout" stream.
+  eigen-problems on standard "std::cout" stream.
 */
 
 {
@@ -128,33 +128,33 @@ void Solution(MATRA &A, MATRB &B, ARluCo
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl; 
-  cout << "Testing ARPACK++ class ARluCompGenEig \n" << endl;
-  cout << "Complex generalized eigenvalue problem: A*x - lambda*B*x" << endl;
+  std::cout << std::endl << std::endl; 
+  std::cout << "Testing ARPACK++ class ARluCompGenEig \n" << std::endl;
+  std::cout << "Complex generalized eigenvalue problem: A*x - lambda*B*x" << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -175,10 +175,10 @@ void Solution(MATRA &A, MATRB &B, ARluCo
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*B*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*B*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/matrices/nonsym/bnmatrxa.h arpack++1.2.patched/examples/matrices/nonsym/bnmatrxa.h
--- arpack++1.2.orig/examples/matrices/nonsym/bnmatrxa.h	2000-02-22 13:19:18.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/nonsym/bnmatrxa.h	2006-01-26 15:37:48.000000000 +0100
@@ -29,7 +29,7 @@
 #ifndef BNMATRXA_H
 #define BNMATRXA_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void BandMatrixA(ARINT nx, ARFLOAT rho, ARINT& n, ARINT& nL, ARINT& nU, 
diff -rupN arpack++1.2.orig/examples/matrices/nonsym/dnmatrxa.h arpack++1.2.patched/examples/matrices/nonsym/dnmatrxa.h
--- arpack++1.2.orig/examples/matrices/nonsym/dnmatrxa.h	2000-02-22 13:15:31.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/nonsym/dnmatrxa.h	2006-01-26 15:37:48.000000000 +0100
@@ -29,7 +29,7 @@
 #ifndef DNMATRXA_H
 #define DNMATRXA_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void DenseMatrixA(ARINT nx, ARFLOAT rho, ARINT& n, ARFLOAT* &A)
diff -rupN arpack++1.2.orig/examples/matrices/nonsym/lnmatrxa.h arpack++1.2.patched/examples/matrices/nonsym/lnmatrxa.h
--- arpack++1.2.orig/examples/matrices/nonsym/lnmatrxa.h	2000-02-22 13:11:45.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/nonsym/lnmatrxa.h	2006-01-26 15:37:48.000000000 +0100
@@ -9,7 +9,7 @@
 #ifndef LNMATRXA_H
 #define LNMATRXA_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 
diff -rupN arpack++1.2.orig/examples/matrices/nonsym/lnmatrxb.h arpack++1.2.patched/examples/matrices/nonsym/lnmatrxb.h
--- arpack++1.2.orig/examples/matrices/nonsym/lnmatrxb.h	2000-02-22 13:11:03.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/nonsym/lnmatrxb.h	2006-01-26 15:37:48.000000000 +0100
@@ -29,7 +29,7 @@
 #ifndef LNMATRXB_H
 #define LNMATRXB_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void BlockTridMatrix(ARINT nx, ARINT& n, ARINT& nnz,
diff -rupN arpack++1.2.orig/examples/matrices/nonsym/lnsymsol.h arpack++1.2.patched/examples/matrices/nonsym/lnsymsol.h
--- arpack++1.2.orig/examples/matrices/nonsym/lnsymsol.h	2000-02-22 13:05:25.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/nonsym/lnsymsol.h	2006-01-26 15:37:48.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef LNSYMSOL_H
 #define LNSYMSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #ifdef ARLNSMAT_H
@@ -40,7 +40,7 @@ template<class ARMATRIX, class ARFLOAT>
 void Solution(ARMATRIX &A, ARluNonSymStdEig<ARFLOAT> &Prob)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric eigen-problems
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -53,38 +53,38 @@ void Solution(ARMATRIX &A, ARluNonSymStd
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARluNonSymStdEig \n";
-  cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARluNonSymStdEig \n";
+  std::cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
       if (Prob.EigenvalueImag(i)>=0.0) {
-        cout << " + " << Prob.EigenvalueImag(i) << " I" << endl;
+        std::cout << " + " << Prob.EigenvalueImag(i) << " I" << std::endl;
       }
       else {
-        cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << endl;
+        std::cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << std::endl;
       }
     }
-    cout << endl;
+    std::cout << std::endl;
   }
   
   if (Prob.EigenvectorsFound()) {
@@ -122,10 +122,10 @@ void Solution(ARMATRIX &A, ARluNonSymStd
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] ResNorm;
@@ -139,7 +139,7 @@ template<class MATRA, class MATRB, class
 void Solution(MATRA &A, MATRB &B, ARluNonSymGenEig<ARFLOAT> &Prob)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric generalized
-  eigen-problems on standard "cout" stream.
+  eigen-problems on standard "std::cout" stream.
 */
 
 {
@@ -153,43 +153,43 @@ void Solution(MATRA &A, MATRB &B, ARluNo
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARluNonSymGenEig \n";
-  cout << "Real nonsymmetric generalized eigenvalue problem: A*x - lambda*B*x";
-  cout << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARluNonSymGenEig \n";
+  std::cout << "Real nonsymmetric generalized eigenvalue problem: A*x - lambda*B*x";
+  std::cout << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode" << endl;
+    std::cout << "Regular mode" << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode (using the real part of OP)" << endl;
+    std::cout << "Shift and invert mode (using the real part of OP)" << std::endl;
     break;
   case 4:
-    cout << "Shift and invert mode (using the imaginary part of OP)" << endl;
+    std::cout << "Shift and invert mode (using the imaginary part of OP)" << std::endl;
   }
-  cout << endl;
+  std::cout << std::endl;
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
       if (Prob.EigenvalueImag(i)>=0.0) {
-        cout << " + " << Prob.EigenvalueImag(i) << " I" << endl;
+        std::cout << " + " << Prob.EigenvalueImag(i) << " I" << std::endl;
       }
       else {
-        cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << endl;
+        std::cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << std::endl;
       }
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -232,10 +232,10 @@ void Solution(MATRA &A, MATRB &B, ARluNo
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << i << ") - lambda(" << i;
-      cout << ")*B*x(" << i << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << i << ") - lambda(" << i;
+      std::cout << ")*B*x(" << i << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/matrices/nonsym/lsvdsol.h arpack++1.2.patched/examples/matrices/nonsym/lsvdsol.h
--- arpack++1.2.orig/examples/matrices/nonsym/lsvdsol.h	2000-02-22 13:06:13.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/nonsym/lsvdsol.h	2006-01-26 15:37:48.000000000 +0100
@@ -19,7 +19,7 @@
 #ifndef LSVDSOL_H
 #define LSVDSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "arssym.h"
@@ -28,7 +28,7 @@
 template<class ARMATRIX, class ARFLOAT, class ARFOP>
 void Solution(ARMATRIX &A, ARSymStdEig<ARFLOAT, ARFOP> &Prob)
 /*
-  Prints singular values and vectors on standard "cout" stream.
+  Prints singular values and vectors on standard "std::cout" stream.
 */
 
 {
@@ -42,24 +42,24 @@ void Solution(ARMATRIX &A, ARSymStdEig<A
   nAx   = (n>m)?n:m;
   nconv = Prob.ConvergedEigenvalues();
 
-  cout << endl << endl << "Testing ARPACK++ class ARSymStdEig \n";
-  cout << "SVD problems: A = U*S*V'" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARSymStdEig \n";
+  std::cout << "SVD problems: A = U*S*V'" << std::endl;
 
-  cout << "Dimension of the system            : " << Prob.GetN()   << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev() << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv         << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << Prob.GetN()   << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev() << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv         << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing singular values.
 
-    cout << "Singular values:" << endl;
+    std::cout << "Singular values:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  sigma[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  sigma[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -82,10 +82,10 @@ void Solution(ARMATRIX &A, ARSymStdEig<A
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*v(" << (i+1) << ") - sigma(" << (i+1);
-      cout << ")*u(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*v(" << (i+1) << ") - sigma(" << (i+1);
+      std::cout << ")*u(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
 
     // Printing the residual norm || A'*u - sigma*v ||
     // for the nconv accurately computed vectors u and v.
@@ -99,10 +99,10 @@ void Solution(ARMATRIX &A, ARSymStdEig<A
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A'*u(" << (i+1) << ") - sigma(" << (i+1);
-      cout << ")*v(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A'*u(" << (i+1) << ") - sigma(" << (i+1);
+      std::cout << ")*v(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] ResNorm;
diff -rupN arpack++1.2.orig/examples/matrices/sym/bsmatrxa.h arpack++1.2.patched/examples/matrices/sym/bsmatrxa.h
--- arpack++1.2.orig/examples/matrices/sym/bsmatrxa.h	2000-02-22 13:27:38.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/bsmatrxa.h	2006-01-26 15:37:48.000000000 +0100
@@ -31,7 +31,7 @@
 #ifndef BSMATRXA_H
 #define BSMATRXA_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void BandMatrixA(ARINT nx, ARINT& n, ARINT& nD, ARFLOAT* &A, char uplo='L')
diff -rupN arpack++1.2.orig/examples/matrices/sym/bsmatrxb.h arpack++1.2.patched/examples/matrices/sym/bsmatrxb.h
--- arpack++1.2.orig/examples/matrices/sym/bsmatrxb.h	2000-02-22 13:27:05.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/bsmatrxb.h	2006-01-26 15:37:48.000000000 +0100
@@ -22,7 +22,7 @@
 #ifndef BSMATRXB_H
 #define BSMATRXB_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void BandMatrixB(ARINT n, ARINT& nD, ARFLOAT* &A, char uplo='L')
diff -rupN arpack++1.2.orig/examples/matrices/sym/bsmatrxc.h arpack++1.2.patched/examples/matrices/sym/bsmatrxc.h
--- arpack++1.2.orig/examples/matrices/sym/bsmatrxc.h	2000-02-22 13:26:36.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/bsmatrxc.h	2006-01-26 15:37:48.000000000 +0100
@@ -22,7 +22,7 @@
 #ifndef BSMATRXC_H
 #define BSMATRXC_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void BandMatrixC(ARINT n, ARINT& nD, ARFLOAT* &A, char uplo='L')
diff -rupN arpack++1.2.orig/examples/matrices/sym/dsmatrxa.h arpack++1.2.patched/examples/matrices/sym/dsmatrxa.h
--- arpack++1.2.orig/examples/matrices/sym/dsmatrxa.h	2000-02-22 13:25:58.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/dsmatrxa.h	2006-01-26 15:37:48.000000000 +0100
@@ -27,7 +27,7 @@
 #ifndef DSMATRXA_H
 #define DSMATRXA_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void DenseMatrixA(ARINT nx, ARINT& n, ARFLOAT* &A, char uplo = 'L')
diff -rupN arpack++1.2.orig/examples/matrices/sym/dsmatrxb.h arpack++1.2.patched/examples/matrices/sym/dsmatrxb.h
--- arpack++1.2.orig/examples/matrices/sym/dsmatrxb.h	2000-02-22 13:25:27.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/dsmatrxb.h	2006-01-26 15:37:48.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef DSMATRXB_H
 #define DSMATRXB_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void DenseMatrixB(ARINT n, ARFLOAT* &A, char uplo = 'L')
diff -rupN arpack++1.2.orig/examples/matrices/sym/dsmatrxc.h arpack++1.2.patched/examples/matrices/sym/dsmatrxc.h
--- arpack++1.2.orig/examples/matrices/sym/dsmatrxc.h	2000-02-22 13:24:55.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/dsmatrxc.h	2006-01-26 15:37:48.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef DSMATRXC_H
 #define DSMATRXC_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void DenseMatrixC(ARINT n, ARFLOAT* &A, char uplo='L')
diff -rupN arpack++1.2.orig/examples/matrices/sym/lsmatrxa.h arpack++1.2.patched/examples/matrices/sym/lsmatrxa.h
--- arpack++1.2.orig/examples/matrices/sym/lsmatrxa.h	2000-02-22 13:24:25.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/lsmatrxa.h	2006-01-26 15:37:48.000000000 +0100
@@ -27,7 +27,7 @@
 #ifndef LSMATRXA_H
 #define LSMATRXA_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void SymmetricMatrixA(ARINT nx, ARINT& n, ARINT& nnz, ARFLOAT* &A, 
diff -rupN arpack++1.2.orig/examples/matrices/sym/lsmatrxb.h arpack++1.2.patched/examples/matrices/sym/lsmatrxb.h
--- arpack++1.2.orig/examples/matrices/sym/lsmatrxb.h	2000-02-22 13:23:35.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/lsmatrxb.h	2006-01-26 15:37:48.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef LSMATRXB_H
 #define LSMATRXB_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void SymmetricMatrixB(ARINT n, ARINT& nnz, ARFLOAT* &A, 
diff -rupN arpack++1.2.orig/examples/matrices/sym/lsmatrxc.h arpack++1.2.patched/examples/matrices/sym/lsmatrxc.h
--- arpack++1.2.orig/examples/matrices/sym/lsmatrxc.h	2000-02-22 13:23:01.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/lsmatrxc.h	2006-01-26 15:37:48.000000000 +0100
@@ -20,7 +20,7 @@
 #ifndef LSMATRXC_H
 #define LSMATRXC_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void SymmetricMatrixC(ARINT n, ARINT& nnz, ARFLOAT* &A, 
diff -rupN arpack++1.2.orig/examples/matrices/sym/lsmatrxd.h arpack++1.2.patched/examples/matrices/sym/lsmatrxd.h
--- arpack++1.2.orig/examples/matrices/sym/lsmatrxd.h	2000-02-22 13:21:37.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/lsmatrxd.h	2006-01-26 15:37:48.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef LSMATRXD_H
 #define LSMATRXD_H
 
-#include <math.h>
+#include <cmath>
 
 template<class ARFLOAT, class ARINT>
 void SymmetricMatrixD(ARINT n, ARINT& nnz, ARFLOAT* &A, 
diff -rupN arpack++1.2.orig/examples/matrices/sym/lsymsol.h arpack++1.2.patched/examples/matrices/sym/lsymsol.h
--- arpack++1.2.orig/examples/matrices/sym/lsymsol.h	2000-02-22 13:22:25.000000000 +0100
+++ arpack++1.2.patched/examples/matrices/sym/lsymsol.h	2006-01-26 15:37:48.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef LSYMSOL_H
 #define LSYMSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #ifdef ARLSMAT_H
@@ -53,33 +53,33 @@ void Solution(ARMATRIX &A, ARluSymStdEig
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARluSymStdEig \n";
-  cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARluSymStdEig \n";
+  std::cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl;
+    std::cout << "Regular mode" << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl;
+    std::cout << "Shift and invert mode" << std::endl;
   }
-  cout << endl;
+  std::cout << std::endl;
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -97,10 +97,10 @@ void Solution(ARMATRIX &A, ARluSymStdEig
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] ResNorm;
@@ -126,40 +126,40 @@ void Solution(MATRA &A, MATRB &B, ARluSy
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARluSymGenEig \n";
-  cout << "Real symmetric generalized eigenvalue problem: A*x - lambda*B*x";
-  cout << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARluSymGenEig \n";
+  std::cout << "Real symmetric generalized eigenvalue problem: A*x - lambda*B*x";
+  std::cout << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode" << endl;
+    std::cout << "Regular mode" << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl;
+    std::cout << "Shift and invert mode" << std::endl;
     break;
   case 4:
-    cout << "Buckling mode" << endl;
+    std::cout << "Buckling mode" << std::endl;
     break;
   case 5:
-    cout << "Cayley mode" << endl;
+    std::cout << "Cayley mode" << std::endl;
   }
-  cout << endl;
+  std::cout << std::endl;
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -179,10 +179,10 @@ void Solution(MATRA &A, MATRB &B, ARluSy
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << i << ") - lambda(" << i;
-      cout << ")*B*x(" << i << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << i << ") - lambda(" << i;
+      std::cout << ")*B*x(" << i << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] Bx;
